apt: pkgAcqChangelog Class Reference

apt 2.3.15 commandline package manager

Classes | Public Member Functions | Static Public Member Functions | List of all members
pkgAcqChangelog Class Reference
Acquire system {{{

Retrieve the changelog for the given version {{{. More...

`#include <apt-pkg/acquire-item.h>`

Inheritance diagram for pkgAcqChangelog:

## Classes
class | Private

## Public Member Functions
virtual HashStringList | GetExpectedHashes () const APT_OVERRIDE
virtual bool | HashesRequired () const APT_OVERRIDE
virtual void | Failed (std::string const &Message, pkgAcquire::MethodConfig const *const Cnf) APT_OVERRIDE
virtual void | Done (std::string const &Message, HashStringList const &CalcHashes, pkgAcquire::MethodConfig const *const Cnf) APT_OVERRIDE
virtual std::string | DescURI () const APT_OVERRIDE
| pkgAcqChangelog (pkgAcquire *const Owner, pkgCache::VerIterator const &Ver, std::string const &DestDir="", std::string const &DestFilename="")
| Create a new pkgAcqChangelog object. More...
| pkgAcqChangelog (pkgAcquire *const Owner, pkgCache::RlsFileIterator const &Rls, char const *const Component, char const *const SrcName, char const *const SrcVersion, std::string const &DestDir="", std::string const &DestFilename="")
| Create a new pkgAcqChangelog object. More...
| pkgAcqChangelog (pkgAcquire *const Owner, std::string const &URI, char const *const SrcName, char const *const SrcVersion, std::string const &DestDir="", std::string const &DestFilename="")
| Create a new pkgAcqChangelog object. More...

## Static Public Member Functions
static std::string | URI (pkgCache::VerIterator const &Ver)
static std::string | URI (pkgCache::RlsFileIterator const &Rls, char const *const Component, char const *const SrcName, char const *const SrcVersion)
static std::string | URI (std::string const &Template, char const *const Component, char const *const SrcName, char const *const SrcVersion)
static std::string | URITemplate (pkgCache::RlsFileIterator const &Rls)

## Detailed Description

Retrieve the changelog for the given version {{{.

Downloads the changelog to a temporary file it will also remove again while it is deconstructed or downloads it to a named location.

## Constructor & Destructor Documentation

## ◆ pkgAcqChangelog() [1/3]

pkgAcqChangelog | ( | pkgAcquire *const | Owner,
|  | pkgCache::VerIterator const & | Ver,
|  | std::string const & | DestDir = `""`,
|  | std::string const & | DestFilename = `""`
| ) |  |

Create a new pkgAcqChangelog object.

Parameters

  Owner | The pkgAcquire object with which this object is associated.
  Ver | is the version to get the changelog for
  DestDir | The directory the file should be downloaded into. Will be an autocreated (and cleaned up) temporary directory if not set.
  DestFilename | The filename the file should have in #DestDir Defaults to sourcepackagename.changelog if not set.

References URI(), and pkgAcquire::URI.

## ◆ pkgAcqChangelog() [2/3]

pkgAcqChangelog | ( | pkgAcquire *const | Owner,
|  | pkgCache::RlsFileIterator const & | Rls,
|  | char const *const | Component,
|  | char const *const | SrcName,
|  | char const *const | SrcVersion,
|  | std::string const & | DestDir = `""`,
|  | std::string const & | DestFilename = `""`
| ) |  |

Create a new pkgAcqChangelog object.

Parameters

  Owner | The pkgAcquire object with which this object is associated.
  Rls | is the Release file the package comes from
  Component | in which the package resides, can be empty
  SrcName | is the source package name
  SrcVersion | is the source package version
  DestDir | The directory the file should be downloaded into. Will be an autocreated (and cleaned up) temporary directory if not set.
  DestFilename | The filename the file should have in #DestDir Defaults to sourcepackagename.changelog if not set.

References URI(), and pkgAcquire::URI.

## ◆ pkgAcqChangelog() [3/3]

pkgAcqChangelog | ( | pkgAcquire *const | Owner,
|  | std::string const & | URI,
|  | char const *const | SrcName,
|  | char const *const | SrcVersion,
|  | std::string const & | DestDir = `""`,
|  | std::string const & | DestFilename = `""`
| ) |  |

Create a new pkgAcqChangelog object.

Parameters

  Owner | The pkgAcquire object with which this object is associated.
  URI | is to be used to get the changelog
  SrcName | is the source package name
  SrcVersion | is the source package version
  DestDir | The directory the file should be downloaded into. Will be an autocreated (and cleaned up) temporary directory if not set.
  DestFilename | The filename the file should have in #DestDir Defaults to sourcepackagename.changelog if not set.

References URI(), and pkgAcquire::URI.

## Member Function Documentation

## ◆ URI() [1/3]

std::string URI | ( | pkgCache::RlsFileIterator const & | Rls,
|  | char const *const | Component,
|  | char const *const | SrcName,
|  | char const *const | SrcVersion
| ) |  |
| static

returns the URI to the changelog of this version

Parameters

  Rls | is the Release file the package comes from
  Component | in which the package resides, can be empty
  SrcName | is the source package name
  SrcVersion | is the source package version

Returns
  the URI which will be used to acquire the changelog

References URI(), and URITemplate().

## ◆ URI() [2/3]

std::string URI | ( | pkgCache::VerIterator const & | Ver | ) |
| static

returns the URI to the changelog of this version

Parameters

  Ver | is the version to get the changelog for

Returns
  the URI which will be used to acquire the changelog

References pkgCache< Str, Itr >::Flag::NotSource, and URI().

Referenced by pkgAcqChangelog(), and URI().

## ◆ URI() [3/3]

std::string URI | ( | std::string const & | Template,
|  | char const *const | Component,
|  | char const *const | SrcName,
|  | char const *const | SrcVersion
| ) |  |
| static

returns the URI to the changelog of this version

Parameters

  Template | URI where @CHANGEPATH@ has to be filled in
  Component | in which the package resides, can be empty
  SrcName | is the source package name
  SrcVersion | is the source package version

Returns
  the URI which will be used to acquire the changelog

## ◆ URITemplate()

std::string URITemplate | ( | pkgCache::RlsFileIterator const & | Rls | ) |
| static

returns the URI template for this release file

Parameters

  Rls | is a Release file

Returns
  the URI template to use for this release file

Referenced by URI().

The documentation for this class was generated from the following files:

- apt-pkg/acquire-item.h
- apt-pkg/acquire-item.cc